Skip to content
API reference

Custom fields

Extra fields on leads.

GET/custom-fields

List custom fields

Needs the permission custom_fields:read.

ParameterInTypeNotes
includeHiddenqueryone of true, falsedefault "false"
curl -X GET https://crm.anibrosdesign.com/api/v1/custom-fields \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

POST/custom-fields

Create a custom field

Needs the permission custom_fields:manage.

Body fieldTypeNotes
label requiredstringat least 1 characters. up to 60 characters
type requiredone of text, number, date, boolean, select, multi_select, url, email
keystring
requiredboolean
optionslist of string or objectup to 50 items
defaultValuestring or null
helpTextstring or null
showInListboolean
curl -X POST https://crm.anibrosdesign.com/api/v1/custom-fields \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"label":"text","type":"text","key":"text"}'

Responses: 201 400 401 402 403 429

PUT/custom-fields/order

Set order (custom fields)

Needs the permission custom_fields:manage.

Body fieldTypeNotes
ids requiredlist of string (uuid)up to 100 items
curl -X PUT https://crm.anibrosdesign.com/api/v1/custom-fields/order \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"ids":["01a15d23-0000-7000-8000-000000000000"]}'

Responses: 200 400 401 402 403 412 429

PATCH/custom-fields/{id}

Change a custom field

Needs the permission custom_fields:manage.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
labelstringat least 1 characters. up to 60 characters
requiredboolean
visibleboolean
optionslist of string or objectup to 50 items
defaultValuestring or null
helpTextstring or null
showInListboolean
curl -X PATCH https://crm.anibrosdesign.com/api/v1/custom-fields/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"label":"text","required":true,"visible":true}'

Responses: 200 400 401 402 403 404 412 429

Something missing or unclear? Tell us.

Chat on WhatsApp